The current BYOD 'Secure browser' release 2.6.X, does not fully support Android 4.4 Kit Kat at the time of this writing. This KB article will be updated when a fix is available.